%global momorel 1

%define gupnp_ver 1.0
%define glib2_ver 2.33.10

Name:           gupnp-av
Version:	0.12.10
Release:        %{momorel}m%{?dist}
Summary:	Library to handle UPnP A/V profiles

Group:          System Environment/Libraries
License:	LGPLv2+
URL:            http://www.gupnp.org/
Source0: http://download.gnome.org/sources/gupnp-av/0.12/%{name}-%{version}.tar.xz
NoSource:       0
Patch0:		gupnp-av-fixdso.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel >= %{glib2_ver}
BuildRequires: gupnp-devel >= %{gupnp_ver}
BuildRequires: gssdp-devel >= 0.14.0
BuildRequires: gobject-introspection-devel >= 1.36.0
BuildRequires: libxml2-devel
BuildRequires: libsoup-devel

%description
GUPnP A/V is a small utility library that aims to ease the handling and
implementation of UPnP A/V profiles.

%package        devel
Summary:        %{name}-devel
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
%{name}-devel

%prep
%setup -q
%patch0 -p1 -b .fixdso~

%build
%configure --disable-static \
	--enable-silent-rules \
	--enable-introspection=yes \
	--enable-gtk-doc \
	LIBS="-lgobject-2.0 -lglib-2.0"
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libgupnp-av-1.0.so.*
%{_libdir}/girepository-1.0/GUPnPAV-1.0.typelib
%dir %{_datadir}/%{name}
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/libgupnp-av-1.0.so
%{_libdir}/pkgconfig/%{name}-1.*.pc
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/GUPnPAV-1.0.gir
%{_datadir}/vala/vapi/gupnp-av-1.0.*

%changelog
* Sun Jan 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.10-1m)
- update to 0.12.10

* Sun Jan 11 2015 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.7-1m)
- update to 0.12.7

* Sun Jun 22 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.6-1m)
- update to 0.12.6

* Sat Jan 18 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.4-1m)
- update to 0.12.4

* Tue Jul  9 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2

* Sun Aug 26 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.3-1m)
- update to 0.10.3

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.1-2m)
- rebuild for glib 2.33.2

* Sun Sep 11 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Thu May  5 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-3m)
- enable-introspection

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.0-2m)
- rebuild for new GCC 4.6

* Sat Apr  9 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Fri Dec 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.1-1m)
- update to 0.7.1

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-2m)
- rebuild for new GCC 4.5

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-2m)
- rebuild against gupnp-0.14.0-2m
- disable gobject-introspection

* Sat Sep 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- initial build

